<!-- <div>
    <div class="categories_after_login">
        <div class="">
            <ul>
                <ng-container *ngFor="let item of categoryList, let i =index">
                    <li class="nav-item dropdown">
                        <a class="dropdown-toggle" href="javascript:void(0)" id="navbarDropdown" role="button"
                            data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">{{item.category_name}}</a>
                        <div class="dropdown-menu four-columns-menu" aria-labelledby="navbarDropdown"
                            *ngIf="item.sub_category!=null && item.sub_category!='' && item.sub_category!=undefined">
                            <ng-container *ngFor="let subCategory of item.sub_category, let i =index">
                                <a class="dropdown-item" href="javascript:void(0)"
                                    (click)="onSubCategoryClick(subCategory.id)">{{subCategory.sub_category_name}}</a>
                            </ng-container>
                        </div>
                    </li>
                </ng-container>
            </ul>
        </div>
    </div>
</div> -->
<div class="saved_page">
    <section class="manage_request">
        <div class="manage_request_container">
            <div class="row">
                <div class="col-md-12 noPadding_mobile">
                    <h1>Saved Gigs</h1>
                </div>
            </div>
            <div class="manage_request_div">
                <div class="row">
                    <ng-container *ngFor="let item of favorites_gigList">
                        <div class="col-md-4 noPadding_mobile">
                            <a href="javascript:void(0)">
                                <div class="custom_card_div">
                                    <div class="img_div">
                                        <img src={{item.gallery[0]?.file_path}}>
                                        <a *ngIf="item.is_favourite==true"
                                            (click)="tagFavourite(item, item.is_favourite==true?false:true)"
                                            class="favourite_icon" target="_self">
                                            <i class="fa fa-heart" style="color: #ff7e41;"></i>
                                        </a>
                                        <a *ngIf="item.is_favourite==false"
                                            (click)="tagFavourite(item, item.is_favourite==true?false:true)"
                                            class="favourite_icon" target="_self">
                                            <i class="fa fa-heart-o"></i>
                                        </a>
                                    </div>
                                    <div class="content_div">
                                        <div class="card_heading_text">
                                            <h5 (click)="onGigClick(item.id,item.gig_status?.id)">{{item.title}}</h5>
                                            <div class="by_text"><i> by </i><a class="by_text_person_name"
                                                    href="javascript:void(0)" (click)="onSellerClick(item.created_by?.id)"
                                                    rel="nofollow">{{item.created_by?.user_name}}</a>
                                                    <!-- <span> |
                                                </span><a href="javascript:void(0)"
                                                    class="level_of_person">{{item.created_by?.level?.level_name}}</a> -->
                                            </div>
                                        </div>
                                        <div class="Price_and_star_container">
                                            <div class="row">
                                                <div class="col-md-6 col-xs-6 noPadding_mobile" (click)="onGigClick(item.id,item.gig_status?.id)">
                                                    <div class="stars_container" *ngIf="item.rating>0">{{getStar(item.rating)}} 
                                                        <span [innerHtml]="printStar">
                                                        </span> ({{item.total_views}})
                                                    </div>
                                                <div class="stars_container_empty" *ngIf="item.rating==0 || item.rating==null || item.rating=='' || item.rating==undefined">{{getEmptyStar()}} 
                                                        <span [innerHtml]="printStarEmpty">
                                                        </span> <span class="star_counts">(0)</span></div> 
                                                </div>
                                                <div class="col-md-6 col-xs-6 text-right noPadding_mobile" (click)="onGigClick(item.id,item.gig_status?.id)">
                                                    <h4> {{item.gigs_pricing[0]?.price | currency: 'INR':'symbol':'1.0-0'}}
                                                    </h4>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </a>
                        </div>
                    </ng-container>
                </div>
                <hr />
                <h4 class="custom_heading_text mt-4 mb-4 text-left">Suggestions</h4>
                <div class="row">
                    <div class="col-md-12 noPadding_mobile">
                        <ng-container *ngFor="let item of suggestion_gigList">
                        <div class="Best_Seller_section owl-carousel owl-theme">
                            
                                <div class="item">
                                    <div class="custom_card_div">
                                        <div class="img_div">
                                            <img src={{item.gallery[0]?.file_path}}>
                                            <a *ngIf="item.is_favourite==true"
                                                (click)="tagFavourite(item, item.is_favourite==true?false:true)"
                                                class="favourite_icon" target="_self">
                                                <i class="fa fa-heart" style="color: #ff7e41;"></i>
                                            </a>
                                            <a *ngIf="item.is_favourite==false"
                                                (click)="tagFavourite(item, item.is_favourite==true?false:true)"
                                                class="favourite_icon" target="_self">
                                                <i class="fa fa-heart-o"></i>
                                            </a>
                                        </div>
                                        <div class="content_div">
                                            <div class="card_heading_text">
                                                <h5>{{item.title}}</h5>
                                                <div class="by_text"><i> by </i><a class="by_text_person_name"
                                                        href="https://themeforest.net/user/ux-themes"
                                                        rel="nofollow">{{item.created_by?.user_name}}</a>
                                                    <!-- <span> | </span><a href="javascript:void(0)"
                                                        class="level_of_person">{{item.created_by?.level?.level_name}}</a> -->
                                                </div>
                                            </div>
                                            <div class="Price_and_star_container">
                                                <div class="row">
                                                    <div class="col-md-6" (click)="onGigClick(item.id,item.gig_status?.id)">
                                                        <div class="stars_container" *ngIf="item.rating>0">{{getStar(item.rating)}} 
                                                            <span [innerHtml]="printStar">
                                                            </span> ({{item.total_views}})
                                                        </div>
                                                    <div class="stars_container_empty" *ngIf="item.rating==0 || item.rating==null || item.rating=='' || item.rating==undefined">{{getEmptyStar()}} 
                                                            <span [innerHtml]="printStarEmpty">
                                                            </span> <span class="star_counts">(0)</span></div> 
                                                    </div>
                                                    <div class="col-md-6 text-right" (click)="onGigClick(item.id,item.gig_status?.id)">
                                                        <h4> {{item.gigs_pricing[0]?.price | currency: 'INR':'symbol':'1.0-0'}}
                                                        </h4> 
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            
                        </div>
                    </ng-container>
                    </div>
                    <div class="col-md-12 noPadding_mobile">
                        <h5 class="text-center" style="font-weight: 600;color: #c7c7c7;">No Gig to display</h5>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>